var Request = {
   now : Date.now(),
  //  apiBaseUrl : "http://ffcsd.ylychu.com/api/qmmao.php",
   apiBaseUrl : "https://ffcs.smxs.com/api/qmmao.php",
   apiKey : "cnlinxun@qmmao_20180720",

 fnGet:function(apiStr, params, callback,showpro) {
       if(showpro==1){
         api.showProgress({
             title: '加载中',
             modal: true
         });
       }
       var key = 'user';
       var user = {};
       var user=$api.getStorage(key,user);
       var uid = 0;
       var asstoken = "";
       var system = api.systemType;
       if(typeof(user) != "undefined"){
          uid = user.id;
          asstoken = user.asstoken;
       }
       params.uid = uid;
       params.asstoken = asstoken;
       params.system = system;
      var body = {'api':apiStr,'params':params};
      var bodyStr =  JSON.stringify(body);
      var timestamp =  Date.now();
      var nonce = parseInt(Math.random() * 10000);
      var sign = Request.getSignStr(bodyStr, nonce, timestamp);

       api.ajax({
           url: Request.apiBaseUrl + '?nonce=' + nonce + "&timestamp=" + timestamp + "&sign=" + sign + "&body=" + bodyStr,
           method: 'get',
           timeout: 5,
           dataType: 'json',
           headers: {
           }
       }, function(ret, err) {
            if(showpro){
             api.hideProgress();
            }
            Request.serverNeedLog(ret);
           callback(ret, err);
       });
   },

    fnPost :function(apiStr, params, callback,showpro) {
      var key = 'user';
      var user = {};
      var user=$api.getStorage(key,user);
      var uid = 0;
      var asstoken = "";
      var system = api.systemType;
      if(typeof(user) != "undefined"){
         uid = user.id;
         asstoken = user.asstoken;
      }
      params.uid = uid;
      params.asstoken = asstoken;
      params.system = system;
     var body = {'api':apiStr,'params':params};
     console.log(JSON.stringify(body));
     var bodyStr =  JSON.stringify(body);
     var timestamp =  Date.now();
     var nonce = parseInt(Math.random() * 10000);
     var sign = Request.getSignStr(bodyStr, nonce, timestamp);

      if(showpro==1){
        api.showProgress({
            title: '加载中',
            modal: true
        });
      }
       var urlStr = Request.apiBaseUrl + '?nonce=' + nonce + "&timestamp=" + timestamp + "&sign=" + sign;
       console.log(urlStr);
       api.ajax({
           url:  urlStr ,
           method: 'post',
           timeout: 5,
           dataType: 'json',
           returnAll: false,
           data: {
             body:bodyStr
           }
       }, function(ret, err) {
         console.log(JSON.stringify(ret));
         console.log(JSON.stringify(err));
          if(showpro){
           api.hideProgress();
          }
          var errstr = !ret && err && err.msg ? err.msg : "";
          Request.serverNeedLog(ret);
           callback(ret, errstr);
       });
   },

   getSignStr : function(bodyStr, nonce, timestamp){
    var signStr = Request.apiKey + "&body=" + bodyStr + "&nonce=" + nonce + "&timestamp=" + timestamp;
    var signature = api.require('signature');
    var signatureStr = signature.md5Sync({
          data: signStr,
          uppercase : true
      });
      return signatureStr;
  },
   serverNeedLog : function(ret) {
    if (ret.status == "error") {
        var data = ret.data;
        if(data && data.needlogin == 1){
          $api.rmStorage('is_pay');
          $api.rmStorage('can_change');
          $api.rmStorage('order_id');
          $api.rmStorage('changeXing');
          $api.rmStorage('dataEval');
          $api.rmStorage('checkisLogin');//检查是否登陆
          $api.rmStorage('setPassword');
          $api.rmStorage('user');
          // $api.rmStorage('writeInfo');
        }
    }
  }
}
